package com.xxfc.platform.vehicle.vo;

import com.github.pagehelper.PageInfo;
import lombok.Data;

import java.util.List;

@Data
public  class PageDataVO<T> {
    /**
     * 符合条件记录总数
     */
    private Long totalCount;

    /**
     * 实际数据
     */
    private List<T> data;

    public static <M> PageDataVO<M> pageInfo(PageInfo<M> pageInfo){
        PageDataVO<M> pageDataVo = new PageDataVO<>();
        pageDataVo.setTotalCount(pageInfo.getTotal());
        pageDataVo.setData(pageInfo.getList());
        return pageDataVo;
    }

}
